Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Private Attributes | List of all members
eZ\Bundle\EzPublishCoreBundle\Routing\JsRouting\ExposedRoutesExtractor Class Reference

Decorator of FOSJsRouting routes extractor. More...

Inheritance diagram for eZ\Bundle\EzPublishCoreBundle\Routing\JsRouting\ExposedRoutesExtractor:

## Public Member Functions
| __construct (ExposedRoutesExtractorInterface $innerExtractor, RequestStack $requestStack)
| getRoutes ()
| getBaseUrl ()
| {} More...
| getPrefix ($locale)
| getHost ()
| getScheme ()
| getCachePath ($locale)
| getResources ()
| getExposedRoutes ()

## Private Attributes
| $innerExtractor
| $requestStack

## Detailed Description

Decorator of FOSJsRouting routes extractor.

Ensures that base URL contains the SiteAccess part when applicable.

Definition at line 19 of file ExposedRoutesExtractor.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Bundle\EzPublishCoreBundle\Routing\JsRouting\ExposedRoutesExtractor::__construct | ( | ExposedRoutesExtractorInterface | $innerExtractor,
|  | RequestStack | $requestStack
| ) |  |

Definition at line 27 of file ExposedRoutesExtractor.php.

References eZ\Bundle\EzPublishCoreBundle\Routing\JsRouting\ExposedRoutesExtractor\$innerExtractor, and eZ\Bundle\EzPublishCoreBundle\Routing\JsRouting\ExposedRoutesExtractor\$requestStack.

## Member Function Documentation

## ◆ getBaseUrl()

eZ\Bundle\EzPublishCoreBundle\Routing\JsRouting\ExposedRoutesExtractor::getBaseUrl | ( |  | ) |

{}

Will add the SiteAccess if configured in the URI.

Returns
  string

Definition at line 45 of file ExposedRoutesExtractor.php.

## ◆ getCachePath()

eZ\Bundle\EzPublishCoreBundle\Routing\JsRouting\ExposedRoutesExtractor::getCachePath | ( |  | $locale | ) |

Definition at line 76 of file ExposedRoutesExtractor.php.

## ◆ getExposedRoutes()

eZ\Bundle\EzPublishCoreBundle\Routing\JsRouting\ExposedRoutesExtractor::getExposedRoutes | ( |  | ) |

Definition at line 86 of file ExposedRoutesExtractor.php.

## ◆ getHost()

eZ\Bundle\EzPublishCoreBundle\Routing\JsRouting\ExposedRoutesExtractor::getHost | ( |  | ) |

Definition at line 66 of file ExposedRoutesExtractor.php.

## ◆ getPrefix()

eZ\Bundle\EzPublishCoreBundle\Routing\JsRouting\ExposedRoutesExtractor::getPrefix | ( |  | $locale | ) |

Definition at line 61 of file ExposedRoutesExtractor.php.

## ◆ getResources()

eZ\Bundle\EzPublishCoreBundle\Routing\JsRouting\ExposedRoutesExtractor::getResources | ( |  | ) |

Definition at line 81 of file ExposedRoutesExtractor.php.

## ◆ getRoutes()

eZ\Bundle\EzPublishCoreBundle\Routing\JsRouting\ExposedRoutesExtractor::getRoutes | ( |  | ) |

Definition at line 33 of file ExposedRoutesExtractor.php.

## ◆ getScheme()

eZ\Bundle\EzPublishCoreBundle\Routing\JsRouting\ExposedRoutesExtractor::getScheme | ( |  | ) |

Definition at line 71 of file ExposedRoutesExtractor.php.

## Member Data Documentation

## ◆ $innerExtractor

eZ\Bundle\EzPublishCoreBundle\Routing\JsRouting\ExposedRoutesExtractor::$innerExtractor
| private

Definition at line 22 of file ExposedRoutesExtractor.php.

Referenced by eZ\Bundle\EzPublishCoreBundle\Routing\JsRouting\ExposedRoutesExtractor\__construct().

## ◆ $requestStack

eZ\Bundle\EzPublishCoreBundle\Routing\JsRouting\ExposedRoutesExtractor::$requestStack
| private

Definition at line 25 of file ExposedRoutesExtractor.php.

Referenced by eZ\Bundle\EzPublishCoreBundle\Routing\JsRouting\ExposedRoutesExtractor\__construct().

The documentation for this class was generated from the following file:

- ExposedRoutesExtractor.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.